aboutsummaryrefslogtreecommitdiff
path: root/replay.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2022-03-25 01:09:12 +0100
committerdec05eba <dec05eba@protonmail.com>2022-03-25 03:25:36 +0100
commita99f010603be2d7efa7e936b0895dda33931b135 (patch)
tree58ab0a458a502e015d60246d012896f2fb9dfc2e /replay.sh
parent5415f56140fc5a77e72973bb7f0c10d059a93959 (diff)
Redesign replay to save to file and continue on SIGUSR1
Diffstat (limited to 'replay.sh')
-rwxr-xr-xreplay.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/replay.sh b/replay.sh
index 1e5eb56..6bbbb54 100755
--- a/replay.sh
+++ b/replay.sh
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/sh -e
-[ "$#" -ne 5 ] && echo "usage: replay.sh <window_id> <fps> <audio_input> <replay_time_sec> <output_file>" && exit 1
-./gpu-screen-recorder -w "$1" -c mp4 -f "$2" -a "$3" -r "$4" -o "$5"
+[ "$#" -ne 4 ] && echo "usage: replay.sh <window_id> <fps> <replay_time_sec> <output_directory>" && exit 1
+active_sink="$(pactl get-default-sink).monitor"
+mkdir -p "$4"
+./gpu-screen-recorder -w "$1" -c mp4 -f "$2" -a "$active_sink" -r "$3" -o "$4"